<!DOCTYPE html>
<html lang="en">
<head>
  <th:block th:insert="~{fragments/client-header-head :: head}"></th:block>
  <title>Results</title>
</head>

<body>

<div class="container my-5">
  <button id="home-button" class="btn btn-primary bi-arrow-left"></button>

  <div class="row justify-content-center">
    <p class="text-center m" style=" font-size: 2rem; color: black;">Résultats de la classification</p>
  </div>

  <div class="album">
    <div class="container">

      <div th:each="result : ${classificationResults}" class="row align-items-center">

        <hr class="my-5" style="color: black; height: 0.2rem; opacity: 1">

        <div class="col-lg-2 card p-2 text-center">
          <img class="card-img-top" loading="lazy" th:attr="src=${result.fileToClassify.imageUri}"/>
          <h6 class="card-title mt-3" th:text="${result.fileToClassify.filename}"/>
        </div>

        <i class="col-lg-2 text-center bi bi-arrow-right" style="font-size: 4rem"></i>

        <div class="col-lg-2 card p-2 text-center me-3" th:each="bestCandidate : ${result.bestCandidates}">
            <!-- originalImageUri: full resolution image -->
            <img class="card-img-top" loading="lazy" th:attr="src=${bestCandidate.originalImageUri}"/>
            <h6 class="card-title mt-3" th:if="${bestCandidate.trustWorthiness != null}" th:text="${bestCandidate.trustWorthiness.description()}"/>
            <h6 class="card-title mt-3" th:if="${bestCandidate.displayName != null}" th:text="${bestCandidate.displayName}"/>
            <div th:text="${bestCandidate.filename}"/>
        </div>

      </div>


    </div>
  </div>


</div>

</body>

<script type="text/javascript" src="../public/client/js/client-clear-results.js" th:src="@{/client/js/client-clear-results.js}"></script>

</html>
